# Copyright 2013-2023 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack.package import *


class PyPybaselines(PythonPackage):
    """pybaselines is a library of algorithms for the baseline correction of experimental data."""

    homepage = "https://github.com/derb12/pybaselines"
    pypi = "pybaselines/pybaselines-1.1.0.tar.gz"

    maintainers("mloshakov", "dennisdoll")

    version("1.1.0", sha256="1f61ca378459af3983d6ca5813610ca587ac33d5b89e3c03bfb5f692bde61526")

    depends_on("python@3.8:", type=("build", "run"))

    depends_on("py-setuptools", type="build")

    depends_on("py-numpy@1.20:", type=("build", "run"))
    depends_on("py-scipy@1.5:", type=("build", "run"))
